#include<stdio.h>
main()
{
	double i=1,br=0,z;
	long int xx,yy,x,y;

	scanf("%d",&x);
	scanf("%d",&y);
	
	while(x>0 || y>0)
	{
		if (x>0)
		{
			xx=x%10;
		}
		else 
		xx=-1;
		if (y>0)
		{
			yy=y%10;
		}
		else 
		yy=-1;
		if(xx>yy)
		{
			if(br==0)
			{
				z=xx*i;
			}
			else
			z=xx*i+z;	
		}
		else if(yy>xx)
		{
			if(br==0)
			{
				z=yy*i;
			}
			else
			z=yy*i+z;	
		}
		if(xx==yy)
		{
			if(br==0)
			{
				z=xx*i*10+yy;
			}
			else
			z=xx*i*10+yy*i+z;
			i=i*10;
		}
		x=x/10;
		y=y/10;
		i=i*10;
		br++;
	}
	printf("%.lf",z);
}